Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class ForwardTaskCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Void>
          org.jbpm.services.task.commands.ForwardTaskCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class ForwardTaskCommand

extends TaskCommand<Void>

Operation.Forward : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner, Allowed.BusinessAdministrator ], userIsExplicitPotentialOwner = true, addTargetUserToPotentialOwners = true, removeUserFromPotentialOwners = true, setNewOwnerToNull = true, newStatus = Status.Ready }, new OperationCommand().{ status = [ Status.Reserved, Status.InProgress ], allowed = [ Allowed.Owner, Allowed.BusinessAdministrator ], userIsExplicitPotentialOwner = true, addTargetUserToPotentialOwners = true, removeUserFromPotentialOwners = true, setNewOwnerToNull = true, newStatus = Status.Ready }],

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`groupsIds, targetEntityId, taskId, userId`

Constructor Summary
`ForwardTaskCommand()`
`ForwardTaskCommand(long taskId, String userId, String targetEntityId)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context cntxt)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardTaskCommand

    public ForwardTaskCommand()

### ForwardTaskCommand

    public ForwardTaskCommand(long taskId,
                              String userId,
                              String targetEntityId)

Method Detail

### execute

    public Void execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.